From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/memory_profiler/
Date: Thu, 17 Nov 2022 06:15:37 +0000 (UTC) [thread overview]
Message-ID: <1668663948.f76692668e8f66fe48c310ce97e3c870c7de4a5e.mgorny@gentoo> (raw)
commit: f76692668e8f66fe48c310ce97e3c870c7de4a5e
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 17 05:45:48 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Nov 17 05:45:48 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7669266
dev-python/memory_profiler: Bump to 0.61
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/memory_profiler/Manifest | 1 +
.../memory_profiler/memory_profiler-0.61.ebuild | 61 ++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/dev-python/memory_profiler/Manifest b/dev-python/memory_profiler/Manifest
index aaf7b94d12d1..398776b4ae98 100644
--- a/dev-python/memory_profiler/Manifest
+++ b/dev-python/memory_profiler/Manifest
@@ -1 +1,2 @@
DIST memory_profiler-0.60.gh.tar.gz 142585 BLAKE2B aa7fd9e547eecadc184d4da5830c582a9a9ab9565f3dc9c763caaa7e75698ed6b499d2555e4a93b39d2f80f85fad025b84043e0812cb25dd1511f4ebf8da5a85 SHA512 407e44a410cdb4c7c8cc5ff40198c28012f8b0c6bba88d2d1612681eb621a1b802ef137be62fc64ca9e3c362ca3814433bc12169d7c3827bf97293c5bbb8bfbc
+DIST memory_profiler-0.61.gh.tar.gz 144680 BLAKE2B 418ae6e7433dd58b00c8706209a7172c31ccf57d74255aa670b271bc9d76b339bd582b48886bed7b53062abd8eb421678c911b3495de4d541b949f340aad7091 SHA512 02c70a049107ad4df635e20e22eaaa91fd4e4fd29690b0a7c314e08ed6e076bbb81f85dd97924ed35f7f0133cfd3c7e55b35400449489733beb172debe592c4e
diff --git a/dev-python/memory_profiler/memory_profiler-0.61.ebuild b/dev-python/memory_profiler/memory_profiler-0.61.ebuild
new file mode 100644
index 000000000000..a5f150e6ca3a
--- /dev/null
+++ b/dev-python/memory_profiler/memory_profiler-0.61.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A module for monitoring memory usage of a python program"
+HOMEPAGE="
+ https://github.com/pythonprofilers/memory_profiler/
+ https://pypi.org/project/memory-profiler/
+"
+SRC_URI="
+ https://github.com/pythonprofilers/memory_profiler/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+# dev-lang/mercury: collision on 'mprof'
+# https://bugs.gentoo.org/571176
+RDEPEND="
+ dev-python/psutil[${PYTHON_USEDEP}]
+ !dev-lang/mercury
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ "${EPYTHON}" -m memory_profiler test/test_as.py || die
+ "${EPYTHON}" -m memory_profiler test/test_func.py || die
+ "${EPYTHON}" -m memory_profiler test/test_gen.py || die
+ "${EPYTHON}" -m memory_profiler test/test_loop.py || die
+ "${EPYTHON}" -m memory_profiler test/test_loop_decorated.py || die
+ "${EPYTHON}" -m memory_profiler test/test_mprofile.py || die
+ "${EPYTHON}" -m memory_profiler test/test_nested.py || die
+ "${EPYTHON}" -m memory_profiler test/test_precision_command_line.py || die
+ "${EPYTHON}" -m memory_profiler test/test_unicode.py || die
+
+ "${EPYTHON}" test/test_exception.py || die
+ "${EPYTHON}" test/test_exit_code.py || die
+ "${EPYTHON}" test/test_global.py || die
+ "${EPYTHON}" test/test_import.py || die
+ "${EPYTHON}" test/test_memory_usage.py || die
+ "${EPYTHON}" test/test_mprof.py || die
+ "${EPYTHON}" test/test_precision_import.py || die
+ "${EPYTHON}" test/test_stream_unicode.py || die
+ "${EPYTHON}" test/test_tracemalloc.py || die
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+
+ distutils-r1_python_install_all
+}
next reply other threads:[~2022-11-17 6:15 UTC|newest]
Thread overview: 35+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-11-17 6:15 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-08-22 18:29 [gentoo-commits] repo/gentoo:master commit in: dev-python/memory_profiler/ Michał Górny
2022-12-25 17:53 Michał Górny
2022-12-25 16:46 Sam James
2022-06-11 11:32 Yixun Lan
2022-01-20 14:24 Michał Górny
2022-01-20 9:13 Jakov Smolić
2022-01-08 18:23 Michał Górny
2022-01-08 18:03 Jakov Smolić
2021-12-18 14:11 Arthur Zamarin
2021-12-07 22:23 Michał Górny
2021-10-03 19:27 Michał Górny
2021-10-03 18:48 Sam James
2021-08-29 19:31 Arthur Zamarin
2021-08-29 19:31 Arthur Zamarin
2021-08-29 19:31 Arthur Zamarin
2021-06-05 14:30 Michał Górny
2021-01-22 23:01 Sam James
2020-08-02 22:04 Sam James
2020-07-17 7:44 Agostino Sarubbo
2020-07-07 6:35 Michał Górny
2020-03-27 21:25 Michał Górny
2020-02-09 12:46 Benda XU
2020-02-05 16:24 Michał Górny
2019-01-23 7:18 Tim Harder
2018-11-03 8:48 Michał Górny
2018-11-01 20:07 Zac Medico
2018-01-05 9:36 Michał Górny
2017-10-12 0:53 Patrick McLean
2017-10-12 0:53 Patrick McLean
2017-03-15 6:28 Zac Medico
2017-02-01 14:10 Manuel Rüger
2016-01-07 9:23 Justin Lecher
2015-12-17 14:48 Justin Lecher
2015-11-17 13:57 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1668663948.f76692668e8f66fe48c310ce97e3c870c7de4a5e.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox